;
; /* PBQRlib 1.00 BETA Test Code */
;
; Library Name      : PBQRlib100Beta
; Library Version   : 1.00 BETA
; Library Type      : PureBasic User Library
; Library OS        : Windows 32-Bit
; PureBasic Version : 4.61 32-Bit
; Description       : Create QR Code Images
; Author            : David Tupponce
; Email             : mohawk70@gmail.com
; Date              : WED 01-AUG-2012
;
; Copyright  2012 David Tupponce
;
; IMPORTANT ! - There MUST be a sub-directory named QRcodes !

EnableDebugger
DisableASM

PhoneNumber.s = "2155551212"
QRImageSize.i	= 4
QRImageERCL.i	= 4
;QRImageSize.i			Image Size : Valid Range --> 1-5
;QRImageERCL.i			Error Recovery Level : Valid Range --> 1-4 1=L, 2=M, 3=Q, 4=H
;QRInternational.i	Make The QRCode valid for callers from countries outside NA (CA,US & US Territories) ? : 0 = No, 1 = Yes

res = qrInit()
If res = #True
	Debug "Initialized !"

	QRInternational.i	= 0
	res = qrSMS(@PhoneNumber.s,QRInternational.i,QRImageSize.i,QRImageERCL.i)
	If res = #True
		Debug "Success ... QR Code Image Saved !"
	EndIf

	QRInternational.i	= 1
	res = qrSMS(@PhoneNumber.s,QRInternational.i,QRImageSize.i,QRImageERCL.i)
	If res = #True
		Debug "Success ... QR Code Image Saved !"

	EndIf

	QRInternational.i	= 0
	res = qrMMS(@PhoneNumber.s,QRInternational.i,QRImageSize.i,QRImageERCL.i)
	If res = #True
		Debug "Success ... QR Code Image Saved !"
	EndIf

	QRInternational.i	= 1
	res = qrMMS(@PhoneNumber.s,QRInternational.i,QRImageSize.i,QRImageERCL.i)
	If res = #True
		Debug "Success ... QR Code Image Saved !"
	EndIf

	QRInternational.i	= 0
	res = qrTEL(@PhoneNumber.s,QRInternational.i,QRImageSize.i,QRImageERCL.i)
	If res = #True
		Debug "Success ... QR Code Image Saved !"
	EndIf

	QRInternational.i	= 1
	res = qrTEL(@PhoneNumber.s,QRInternational.i,QRImageSize.i,QRImageERCL.i)
	If res = #True
		Debug "Success ... QR Code Image Saved !"
	EndIf

Else

	Debug "Not Initialized !"
	End

EndIf

res = qrCleanup()

Select res
	Case #False : Debug "Cleanup Error"
	Case #True  : Debug "Cleanup Complete !"
EndSelect

End


; IDE Options = PureBasic 4.61 (Windows - x86)
; EnableThread
; EnableXP
; EnableAdmin
; EnableOnError
; Executable = PBQRlib100_PBLIB_Test.exe
; CompileSourceDirectory
